{ lib, config, ... }:
let
  cfg = config.khscodes.khs;
in
{
  options.khscodes.khs = {
    enable = lib.mkEnableOption "Enables the settings for KHS";
  };

  config = lib.mkIf cfg.enable {
    snowfallorg.user.name = "khs";
    home.sessionVariables = {
      EMAIL = "kaare@kaareskovgaard.net";
    };
    home.stateVersion = "25.05";
  };
}
